Update FX rate

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.maddenanalytics.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Madden Analytics API MCP server": {
    "url": "https://docs.maddenanalytics.com/mcp"
  }
}

Close
PUT /v2/api/fxrates/{id}

Replace an existing custom FX rate by ID. The rate is deleted and recreated to ensure time-range integrity.

Path parameters

  • id integer Required

    FX rate ID

application/json

Body Required

  • exchangeDate string
  • externalReference string
  • fromCurrency string
  • fromDate string
  • id integer
  • rate number
  • toCurrency string
  • toDate string

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • exchangeDate string
    • externalReference string
    • fromCurrency string
    • fromDate string
    • id integer
    • rate number
    • toCurrency string
    • toDate string
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
PUT /v2/api/fxrates/{id}
curl \
 --request PUT 'https://api.maddenanalytics.com/v2/api/fxrates/{id}' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"exchangeDate":"string","externalReference":"my-ref","fromCurrency":"USD","fromDate":"string","id":1,"rate":0.92,"toCurrency":"EUR","toDate":"string"}'
Request examples
{
  "exchangeDate": "string",
  "externalReference": "my-ref",
  "fromCurrency": "USD",
  "fromDate": "string",
  "id": 1,
  "rate": 0.92,
  "toCurrency": "EUR",
  "toDate": "string"
}
Response examples (200)
{
  "exchangeDate": "string",
  "externalReference": "my-ref",
  "fromCurrency": "USD",
  "fromDate": "string",
  "id": 1,
  "rate": 0.92,
  "toCurrency": "EUR",
  "toDate": "string"
}
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}